import { Optional } from '@angular/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * To modify the labels and text displayed, create a new instance of MatPaginatorIntl and
 * include it in a custom provider
 */
export declare class NgbPaginatorIntl {
    /**
     * Stream to emit from when labels are changed. Use this to notify components when the labels have
     * changed after initialization.
     */
    readonly changes: Subject<void>;
    /** A label for the page size selector. */
    itemsPerPageLabel: string;
    /** A label for the button that increments the current page. */
    nextPageLabel: string;
    /** A label for the button that decrements the current page. */
    previousPageLabel: string;
    /** A label for the button that moves to the first page. */
    firstPageLabel: string;
    /** A label for the button that moves to the last page. */
    lastPageLabel: string;
    /** A label for the range of items within the current page and the length of the whole list. */
    getRangeLabel: (page: number, pageSize: number, length: number) => string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbPaginatorIntl, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgbPaginatorIntl>;
}
/** @docs-private */
export declare function NGB_PAGINATOR_INTL_PROVIDER_FACTORY(parentIntl: NgbPaginatorIntl): NgbPaginatorIntl;
/** @docs-private */
export declare const NGB_PAGINATOR_INTL_PROVIDER: {
    provide: typeof NgbPaginatorIntl;
    deps: Optional[][];
    useFactory: typeof NGB_PAGINATOR_INTL_PROVIDER_FACTORY;
};
//# sourceMappingURL=paginator-intl.service.d.ts.map